import request from '/@/utils/request';

export function educateTrainApi() {
    return {
        getEducateList: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/report/assemble/train/resource/list`,
                method: 'post',
                data: data
            });
        },
        addEducate: (data: Array<any>) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/report/assemble/train/resource`,
                method: 'post',
                data: data
            });
        },
        delEducate: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/report/assemble/train/resource/del`,
                method: 'post',
                data: data
            });
        },
        getTrainList: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/report/assemble/train/info/list`,
                method: 'post',
                data: data
            });
        },
        addTrain: (data: Array<any>) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/report/assemble/train/info`,
                method: 'post',
                data: data
            });
        },
        delTrain: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/report/assemble/train/info/del`,
                method: 'post',
                data: data
            });
        }
    };
}
